Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.config
Class CallAnnotationParser

    java.lang.Object
      org.mule.config.endpoint.AbstractEndpointAnnotationParser
          org.mule.module.ibeans.config.CallAnnotationParser

All Implemented Interfaces:
  MuleContextAware, EndpointAnnotationParser

    public class CallAnnotationParser

extends AbstractEndpointAnnotationParser

The parser responsible for parsing `Call` annotations.

Field Summary

Fields inherited from class org.mule.config.endpoint.AbstractEndpointAnnotationParser
`ENDPOINT_BUILDER_POSTFIX, muleContext`

Constructor Summary
`CallAnnotationParser()`

Method Summary
`protected AnnotatedEndpointData` | `createEndpointData(Annotation annotation)`
`protected String` | `getIdentifier()`
`InboundEndpoint` | `parseInboundEndpoint(Annotation annotation, Map metaInfo)` Creates an inbound endpoint from the annotation.
`OutboundEndpoint` | `parseOutboundEndpoint(Annotation annotation, Map metaInfo)` Creates an outbound endpoint from the annotation.
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Determines whether this parser can process the current annotation.

Methods inherited from class org.mule.config.endpoint.AbstractEndpointAnnotationParser
`convertProperties, getEndpointHelper, lookupConfig, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallAnnotationParser

    public CallAnnotationParser()

Method Detail

### createEndpointData

    protected AnnotatedEndpointData createEndpointData(Annotation annotation)
                                                throws MuleException

  Specified by:
    `createEndpointData` in class `AbstractEndpointAnnotationParser`
  Throws:
    `MuleException`

### getIdentifier

    protected String getIdentifier()

  Specified by:
    `getIdentifier` in class `AbstractEndpointAnnotationParser`

### supports

    public boolean supports(Annotation annotation,
                            Class clazz,
                            Member member)

  Description copied from interface: `EndpointAnnotationParser`
  Determines whether this parser can process the current annotation. The clazz and member params are passed in so that further validation be done on the location, type or name of these elements.

  Specified by:
    `supports` in interface `EndpointAnnotationParser`
  Overrides:
    `supports` in class `AbstractEndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. This is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class member, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation, false otherwise

### parseOutboundEndpoint

    public OutboundEndpoint parseOutboundEndpoint(Annotation annotation,
                                                  Map metaInfo)
                                           throws MuleException

  Description copied from interface: `EndpointAnnotationParser`
  Creates an outbound endpoint from the annotation.

  Specified by:
    `parseOutboundEndpoint` in interface `EndpointAnnotationParser`
  Overrides:
    `parseOutboundEndpoint` in class `AbstractEndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `OutboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the outbound endpoint cannot be created. A Mule-specific error will be thrown.

### parseInboundEndpoint

    public InboundEndpoint parseInboundEndpoint(Annotation annotation,
                                                Map metaInfo)
                                         throws MuleException

  Description copied from interface: `EndpointAnnotationParser`
  Creates an inbound endpoint from the annotation.

  Specified by:
    `parseInboundEndpoint` in interface `EndpointAnnotationParser`
  Overrides:
    `parseInboundEndpoint` in class `AbstractEndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `InboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.